edu.isi.pegasus.planner.dax

## Class Transformation

- java.lang.Object
- - edu.isi.pegasus.planner.dax.Transformation

    public class Transformation
    extends java.lang.Object

This Object is used to create a complex Transformation. A complex transformation is one that uses other executables and files

Version:
  $Revision$
Author:
  gmehta

### Field Summary

Fields
`protected java.util.List<Invoke>` `mInvokes`
`protected java.lang.String` `mName` Name of the transformation
`protected java.lang.String` `mNamespace` Namespace of the Transformation
`protected java.util.List<CatalogType>` `mUses` List of executable of files used by the transformation
`protected java.lang.String` `mVersion` Version of the transformation

### Constructor Summary

Constructors
Constructor and Description
`Transformation(java.lang.String name)` Create a new Transformation object
`Transformation(java.lang.String namespace, java.lang.String name, java.lang.String version)` Create a new Transformation Object
`Transformation(Transformation t)` Copy Constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`Transformation` `addInvoke(Invoke.WHEN when, java.lang.String what)` Add a Notification for this Transformation
`Transformation` `addInvoke(Invoke invoke)` Add a Notification for this Transformation
`Transformation` `addInvokes(java.util.List<Invoke> invokes)` Add a List of Notifications for this Transformation
`Transformation` `addNotification(Invoke.WHEN when, java.lang.String what)` Add a Notification for this Transformation same as addInvoke()
`Transformation` `addNotifications(java.util.List<Invoke> invokes)` Add a List of Notifications for this Transformation.
`boolean` `equals(java.lang.Object obj)`
`java.util.List<Invoke>` `getInvoke()` Return the list of Notification objects
`java.lang.String` `getName()` Get the name of the transformation
`java.lang.String` `getNamespace()` Get the namespace of the transformation
`java.util.List<Invoke>` `getNotification()` Return the list of Notification objects (same as getInvoke()
`java.util.List<CatalogType>` `getUses()` Get the List of files and/or executables being used by the transformation
`java.lang.String` `getVersion()` Get the version of the transformation
`int` `hashCode()`
`java.lang.String` `toString()`
`void` `toXML(XMLWriter writer)`
`void` `toXML(XMLWriter writer, int indent)`
`Transformation` `uses(CatalogType fileorexecutable)` Set the file or executable being used by the transformation
`Transformation` `uses(java.util.List<CatalogType> filesorexecutables)` Set the List of files and/or executables being used by the transformation

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### mNamespace

    protected java.lang.String mNamespace

Namespace of the Transformation

#### mName

    protected java.lang.String mName

Name of the transformation

#### mVersion

    protected java.lang.String mVersion

Version of the transformation

#### mUses

    protected java.util.List<CatalogType> mUses

List of executable of files used by the transformation

#### mInvokes

    protected java.util.List<Invoke> mInvokes

### Constructor Detail

#### Transformation

    public Transformation(java.lang.String name)

Create a new Transformation object

Parameters:
  `name` -

#### Transformation

    public Transformation(Transformation t)

Copy Constructor

Parameters:
  `t` -

#### Transformation

    public Transformation(java.lang.String namespace,
                          java.lang.String name,
                          java.lang.String version)

Create a new Transformation Object

Parameters:
  `namespace` -
  `name` -
  `version` -

### Method Detail

#### getName

    public java.lang.String getName()

Get the name of the transformation

Returns:

#### getNamespace

    public java.lang.String getNamespace()

Get the namespace of the transformation

Returns:

#### getVersion

    public java.lang.String getVersion()

Get the version of the transformation

Returns:

#### getInvoke

    public java.util.List<Invoke> getInvoke()

Return the list of Notification objects

Returns:
  List<Invoke>

#### getNotification

    public java.util.List<Invoke> getNotification()

Return the list of Notification objects (same as getInvoke()

Returns:
  List<Invoke>

#### addInvoke

    public Transformation addInvoke(Invoke.WHEN when,
                                    java.lang.String what)

Add a Notification for this Transformation

Parameters:
  `when` -
  `what` -
Returns:
  Transformation

#### addNotification

    public Transformation addNotification(Invoke.WHEN when,
                                          java.lang.String what)

Add a Notification for this Transformation same as addInvoke()

Parameters:
  `when` -
  `what` -
Returns:
  Transformation

#### addInvoke

    public Transformation addInvoke(Invoke invoke)

Add a Notification for this Transformation

Parameters:
  `invoke` -
Returns:
  Transformation

#### addInvokes

    public Transformation addInvokes(java.util.List<Invoke> invokes)

Add a List of Notifications for this Transformation

Parameters:
  `invokes` -
Returns:
  Transformation

#### addNotifications

    public Transformation addNotifications(java.util.List<Invoke> invokes)

Add a List of Notifications for this Transformation. Same as addInvokes()

Parameters:
  `invokes` -
Returns:
  Transformation

#### uses

    public Transformation uses(CatalogType fileorexecutable)

Set the file or executable being used by the transformation

Parameters:
  `fileorexecutable` -
Returns:

#### uses

    public Transformation uses(java.util.List<CatalogType> filesorexecutables)

Set the List of files and/or executables being used by the transformation

Parameters:
  `filesorexecutables` -
Returns:

#### getUses

    public java.util.List<CatalogType> getUses()

Get the List of files and/or executables being used by the transformation

Returns:

#### equals

    public boolean equals(java.lang.Object obj)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### toXML

    public void toXML(XMLWriter writer)

#### toXML

    public void toXML(XMLWriter writer,
                      int indent)